package javax.xml.soap;

import java.util.Locale;
import java.util.Iterator;
import javax.xml.namespace.QName;

public interface SOAPFault extends SOAPBodyElement
{
    public abstract void setFaultCode(Name p0) throws SOAPException;
    
    public abstract void setFaultCode(QName p0) throws SOAPException;
    
    public abstract void setFaultCode(String p0) throws SOAPException;
    
    public abstract Name getFaultCodeAsName();
    
    public abstract QName getFaultCodeAsQName();
    
    public abstract Iterator getFaultSubcodes();
    
    public abstract void removeAllFaultSubcodes();
    
    public abstract void appendFaultSubcode(QName p0) throws SOAPException;
    
    public abstract String getFaultCode();
    
    public abstract void setFaultActor(String p0) throws SOAPException;
    
    public abstract String getFaultActor();
    
    public abstract void setFaultString(String p0) throws SOAPException;
    
    public abstract void setFaultString(String p0, Locale p1) throws SOAPException;
    
    public abstract String getFaultString();
    
    public abstract Locale getFaultStringLocale();
    
    public abstract boolean hasDetail();
    
    public abstract Detail getDetail();
    
    public abstract Detail addDetail() throws SOAPException;
    
    public abstract Iterator getFaultReasonLocales() throws SOAPException;
    
    public abstract Iterator getFaultReasonTexts() throws SOAPException;
    
    public abstract String getFaultReasonText(Locale p0) throws SOAPException;
    
    public abstract void addFaultReasonText(String p0, Locale p1) throws SOAPException;
    
    public abstract String getFaultNode();
    
    public abstract void setFaultNode(String p0) throws SOAPException;
    
    public abstract String getFaultRole();
    
    public abstract void setFaultRole(String p0) throws SOAPException;
}
